{
  description = "FabApp";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-23.05";
    nixpkgs-unstable.url = "github:nixos/nixpkgs/nixpkgs-unstable";
    zig-overlay.url = "github:mitchellh/zig-overlay";
    flake-parts.url = "github:hercules-ci/flake-parts";
  };

  outputs = inputs@{ flake-parts, nixpkgs, ... }:
    flake-parts.lib.mkFlake { inherit inputs; } {
      flake = {
        # Put your original flake attributes here.
      };

      systems = [ "x86_64-linux" ];

      # https://flake.parts/module-arguments.html#persystem-module-parameters
      perSystem = { pkgs, system, ... }: {
        # We need unstable for Zig
        _module.args.pkgs = import inputs.nixpkgs-unstable {
          inherit system;
          # https://flake.parts/overlays
          overlays = [
            inputs.zig-overlay.overlays.default
          ];
          config = { };
        };

        formatter = pkgs.nixfmt;

        devShells.default = with pkgs;
          mkShell {
            buildInputs = [
              sqlite

              # Zig / webAssembly impl.
              zig
              # zigpkgs."master" # Issue with X11/GL libraries
              zls
              emscripten

              # Linux graphical deps
              xorg.libX11
              libGL
              # xorg.libXcursor
              # xorg.libXi
              # xorg.libXext
              # xorg.libXrandr
              # xorg.libXinerama
              # libGLU
            ];

          };

      };
    };
}
